Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003095TestLinkAPI - XMLRPCpublic2010-01-27 08:212010-05-01 20:32
Reporterabadve 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.5 (bug fixing) 
Fixed in Version1.9 Beta 3 
Summary0003095: getTestCasesForTestSuite return values
DescriptionPresently getTestCasesForTestSuite API call returns only the internal test case id of all the test cases within a test suite.
Can it be expanded so that it also returns the external test case id?
Presently getTestCaseIDByName has to be called to get the external test case id. So I have to do two API calls, one to get internal test case ids and names within a test suite and then iterate over those test case names to get the external test case ids.
getTestCaseIDByName can still exist as it is but getTestCasesForTestSuite can be expanded to return external test case id as well.

Thanks
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-01-27 08:21 abadve New Issue
2010-01-27 19:04 fman Description Updated
2010-01-27 19:04 fman Status new => assigned
2010-01-27 19:04 fman Assigned To => fman
2010-02-02 02:00 fman Status assigned => resolved
2010-02-02 02:00 fman Fixed in Version => 1.9 Beta 3 (Next Beta)
2010-02-02 02:00 fman Resolution open => fixed
2010-05-01 20:32 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker